summaryrefslogtreecommitdiffstats
path: root/13.37
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-01-08 00:27:55 +0000
committer Eric Hameleers <alien@slackware.com>2011-01-08 00:27:55 +0000
commitf8a5205d9cb8e9f6780746a872705dd43a6032d4 (patch)
treeb22dba1c85de6b195a9f81b585c978848ef6f7e8 /13.37
parent087656ca7830cf9e81ead0f9e8f4ecda922e9099 (diff)
downloadmultilib-f8a5205d9cb8e9f6780746a872705dd43a6032d4.tar.gz
multilib-f8a5205d9cb8e9f6780746a872705dd43a6032d4.tar.xz
Updated for glibc-2.12.2. Only, this version of the script has a flaw (forgets to update the fix_doinst function. Next RCS commit will fix that
Diffstat (limited to '13.37')
-rwxr-xr-x13.37/glibc/glibc-multilib.SlackBuild35
1 files changed, 21 insertions, 14 deletions
diff --git a/13.37/glibc/glibc-multilib.SlackBuild b/13.37/glibc/glibc-multilib.SlackBuild
index 67f328f..920a3f3 100755
--- a/13.37/glibc/glibc-multilib.SlackBuild
+++ b/13.37/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,9 +28,9 @@
# by Eric Hameleers <alien@slackware.com>
-VERSION=${VERSION:-2.12.1}
+VERSION=${VERSION:-2.12.2}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-3alien}
+BUILD=${BUILD:-1alien}
## Included in glibc now:
## glibc-libidn version
@@ -137,12 +137,13 @@ apply_patches() {
# This reverts a patch that was made to glibc to fix "namespace leakage",
# which seems to cause some build failures (e.g. with conntrack):
zcat $CWD/glibc.revert.to.fix.build.breakages.diff.gz | patch -p1 --verbose || exit 1
- # This fixes a security issue in glibc 2.12.1 and earlier:
- zcat $CWD/glibc.CVE-2010-3847.diff.gz | patch -p1 --verbose || exit 1
- # This fixes a security issue in glibc 2.12.1 and earlier:
- zcat $CWD/glibc.CVE-2010-3856.diff.gz | patch -p1 --verbose || exit 1
- # Fix a makefile for make-3.82:
- zcat $CWD/glibc.make-3.82.diff.gz | patch -p1 --verbose || exit 1
+ # This partial security patch still applies and might be needed:
+ zcat $CWD/glibc.git-96611391ad8823ba58405325d78cefeae5cdf699-CVE-2010-3847b.patch.gz | patch -p1 --verbose || exit 1
+ # Make glibc compile with binutils using --enable-initfini-array.
+ # At this time, we do not recommend this due to probable ABI breakage.
+ # The also patch needs work before it would apply.
+ # ***NOT READY***
+ #zcat $CWD/glibc.git-4a531bb0b3b582cb693de9f76d2d97d970f9a5d5.patch.gz | patch -p1 --verbose || exit 1
if [ $BOOTSTRP -eq 1 ] ; then
# Multilib - Disable check for forced unwind (Patch from eglibc) since we
# do not have a multilib glibc yet to link to;
@@ -229,6 +230,10 @@ mkdir -p $PKG/usr/share
mkdir -p $PKG/var/db/nscd
mkdir -p $PKG/var/run/nscd
+# Hand off the $ARCH variable to $SLACKWARE_ARCH to avoid confusing glibc:
+SLACKWARE_ARCH=$ARCH
+unset ARCH
+
# Begin extract/compile:
cd $TMP
rm -rf glibc-$CVSVER
@@ -307,6 +312,8 @@ fi
# Make build directory:
mkdir build-glibc-$VERSION
+# I think this was needed because glibc uses $SLACKWARE_ARCH differently
+#ln -sf build-glibc-$VERSION $SLACKWARE_ARCH
cd build-glibc-$VERSION || exit 1
echo "BUILDING DAS NPTL GLIBC"
@@ -441,7 +448,7 @@ if [ "x$LIBDIRSUFFIX" = "x64" ]; then
fi
mkdir install
cp -a $CWD/slack-desc.glibc-profile install/slack-desc
-/sbin/makepkg -l y -c n $TMP/glibc-profile-${VERSION}_multilib-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/glibc-profile-${VERSION}_multilib-$SLACKWARE_ARCH-$BUILD.txz
# THIS IS NO LONGER PACKAGED (or is it? might be better to let it be made, and then ship it or not...)
# glibc-debug:
@@ -456,7 +463,7 @@ if [ "x$LIBDIRSUFFIX" = "x64" ]; then
fi
mkdir install
cp -a $CWD/slack-desc.glibc-debug install/slack-desc
-/sbin/makepkg -l y -c n $TMP/glibc-debug-${VERSION}_multilib-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/glibc-debug-${VERSION}_multilib-$SLACKWARE_ARCH-$BUILD.txz
## INSTEAD, NUKE THESE LIBS
#rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/debug
@@ -476,7 +483,7 @@ cp -a $PKG/usr/share/i18n usr/share
cp -a $PKG/usr/share/locale usr/share
mkdir install
cp -a $CWD/slack-desc.glibc-i18n install/slack-desc
-/sbin/makepkg -l y -c n $TMP/glibc-i18n-${VERSION}_multilib-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/glibc-i18n-${VERSION}_multilib-$SLACKWARE_ARCH-$BUILD.txz
# glibc-solibs:
cd $PSOLIBS
@@ -527,7 +534,7 @@ fix_doinst
# Ditch links:
find . -type l -exec rm {} \;
# Build the package:
-/sbin/makepkg -l y -c n $TMP/glibc-solibs-${VERSION}_multilib-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/glibc-solibs-${VERSION}_multilib-$SLACKWARE_ARCH-$BUILD.txz
# And finally, the complete "all-in-one" glibc package is created
# from whatever was leftover:
@@ -549,7 +556,7 @@ fix_doinst
mv incoming/libSegFault.so .
)
# Build the package:
-/sbin/makepkg -l y -c n $TMP/glibc-${VERSION}_multilib-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/glibc-${VERSION}_multilib-$SLACKWARE_ARCH-$BUILD.txz
# Done!
echo